#
# spec file for package python-python-mpd2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-python-mpd2
Version:        0.5.5
Release:        lp150.1.3
License:        LGPL-3.0
Summary:        A Python MPD client library
Url:            https://github.com/Mic92/python-mpd2
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/python-mpd2/python-mpd2-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module tox}
%endif
BuildArch:      noarch

%python_subpackages

%description
The python-mpd2 package is a Python library which provides
a client interface for the Music Player Daemon.

python-mpd2 is a fork of python-mpd.  While 0.4.x was backwards compatible
with python-mpd, starting with 0.5 provides enhanced features which are *NOT*
backward compatibles with the original python-mpd package.

%prep
%setup -q -n python-mpd2-%{version}

%build
%python_build

%install
%python_install
%{python_expand chmod a+x %{buildroot}%{$python_sitelib}/mpd_test.py
sed -i "s|^#!/usr/bin/env python$|#!%__$python|" %{buildroot}%{$python_sitelib}/mpd_test.py
$python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}
$python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}
%fdupes %{buildroot}%{$python_sitelib}
}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/mpd.py*
%{python_sitelib}/mpd_test.py*
%{python_sitelib}/python_mpd2-%{version}-py*.egg-info
%pycache_only %{python_sitelib}/__pycache__/mpd*.py*

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
